plot.traps {secr} | R Documentation

## Plot traps Object

### Description

Map the locations of detectors (traps).

### Usage

    ## S3 method for class 'traps'
    plot(x, border = 100, label = FALSE, offset = c(6,6), add = FALSE,
      hidetr = FALSE, detpar = list(), txtpar = list(), bg = "white",
      gridlines = !add, gridspace = 100, gridcol = "grey",
      markused = FALSE, markvarying = FALSE, markvertices = FALSE,
      labelclusters = FALSE, ...)

### Arguments

`x` | a `traps` object
`border` | width of blank margin around the outermost detectors
`label` | logical indicating whether a text label should appear by each detector
`offset` | vector displacement of label from point on x and y axes
`add` | logical to add detectors to an existing plot
`hidetr` | logical to suppress plotting of detectors
`detpar` | list of named graphical parameters for detectors (passed to `par`)
`txtpar` | list of named graphical parameters for labels (passed to `par`)
`bg` | background colour
`gridlines` | logical for plotting grid lines
`gridspace` | spacing of gridlines
`gridcol` | colour of gridlines
`markused` | logical to distinguish detectors used on at least one occasion
`markvarying` | logical to distinguish detectors whose usage varies among occasions
`markvertices` | logical or 0,1,2 for plotting transect or polygon points
`labelclusters` | logical to label clusters
`...` | arguments to pass to `eqscplot`

### Details

`offset` may also be a scalar value for equal displacement on the x and y axes. The `hidetr` option is most likely to be used when plot.traps is called by plot.capthist. See `par` and `colours` for more information on setting graphical parameters. The initial values of graphical parameters are restored on exit.

Axes are not labeled. Use `axis` and `mtext` if necessary.

`markvertices` determines whether the vertices of each transect or polygon will be emphasised by overplotting a point symbol (detpar$pch). Value may be logical (TRUE, FALSE) or integer (0 = no points, 1 = terminal vertices only, 2 = all vertices).

`labelclusters` requires `x` to have attributes ‘clusterID’ and ‘clustertrap’.

### Value

None

### See Also

`plot`, `traps`, `clusterID`

### Examples

     temptrap <- make.grid()
     plot (temptrap, detpar = list(pch = 16, col = "blue"),
        label = TRUE, offset = 7)

[Package secr version 3.2.1 Index]